MagickCore: cache-view.h File Reference

# cache-view.h File Reference

`#include "magick/pixel.h"`

Go to the source code of this file.

## Typedefs
typedef struct _ViewInfo | ViewInfo
## Enumerations
enum | VirtualPixelMethod { UndefinedVirtualPixelMethod, BackgroundVirtualPixelMethod, ConstantVirtualPixelMethod, DitherVirtualPixelMethod, EdgeVirtualPixelMethod, MirrorVirtualPixelMethod, RandomVirtualPixelMethod, TileVirtualPixelMethod, TransparentVirtualPixelMethod, MaskVirtualPixelMethod, BlackVirtualPixelMethod, GrayVirtualPixelMethod, WhiteVirtualPixelMethod }
## Functions
MagickExport const PixelPacket * | AcquireCacheViewPixels (const ViewInfo *, const long, const long, const unsigned long, const unsigned long, ExceptionInfo *)
MagickExport ClassType | GetCacheViewStorageClass (const ViewInfo *)
MagickExport ColorspaceType | GetCacheViewColorspace (const ViewInfo *)
MagickExport const IndexPacket * | AcquireCacheViewIndexes (const ViewInfo *)
MagickExport ExceptionInfo * | GetCacheViewException (const ViewInfo *)
MagickExport IndexPacket * | GetCacheViewIndexes (const ViewInfo *)
MagickExport MagickBooleanType | SetCacheViewStorageClass (ViewInfo *, const ClassType)
MagickExport MagickBooleanType | SetCacheViewVirtualPixelMethod (ViewInfo *, const VirtualPixelMethod)
MagickExport MagickBooleanType | SyncCacheView (ViewInfo *)
MagickExport PixelPacket | AcquireOneCacheViewPixel (const ViewInfo *, const long, const long, ExceptionInfo *)
MagickExport PixelPacket * | GetCacheViewPixels (ViewInfo *, const long, const long, const unsigned long, const unsigned long)
MagickExport PixelPacket * | GetOneCacheViewPixel (const ViewInfo *, const long, const long)
MagickExport PixelPacket ** | SetCacheView (ViewInfo *, const long, const long, const unsigned long, const unsigned long)
MagickExport ViewInfo * | CloseCacheView (ViewInfo *)
MagickExport ViewInfo ** | CloneCacheView (const ViewInfo *)
MagickExport ViewInfo *** | OpenCacheView (const Image *)

## Typedef Documentation

typedef struct _ViewInfo ViewInfo

## Enumeration Type Documentation

enum VirtualPixelMethod

Enumerator:

  UndefinedVirtualPixelMethod |
  BackgroundVirtualPixelMethod |
  ConstantVirtualPixelMethod |
  DitherVirtualPixelMethod |
  EdgeVirtualPixelMethod |
  MirrorVirtualPixelMethod |
  RandomVirtualPixelMethod |
  TileVirtualPixelMethod |
  TransparentVirtualPixelMethod |
  MaskVirtualPixelMethod |
  BlackVirtualPixelMethod |
  GrayVirtualPixelMethod |
  WhiteVirtualPixelMethod |

## Function Documentation

MagickExport const IndexPacket* AcquireCacheViewIndexes | ( | const ViewInfo * |  | ) |

MagickExport const PixelPacket* AcquireCacheViewPixels | ( | const ViewInfo * | ,
|  | const | long,
|  | const | long,
|  | const unsigned | long,
|  | const unsigned | long,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport PixelPacket AcquireOneCacheViewPixel | ( | const ViewInfo * | ,
|  | const | long,
|  | const | long,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport ViewInfo* * CloneCacheView | ( | const ViewInfo * |  | ) |

MagickExport ViewInfo* CloseCacheView | ( | ViewInfo * |  | ) |

MagickExport ColorspaceType GetCacheViewColorspace | ( | const ViewInfo * |  | ) |

MagickExport ExceptionInfo* GetCacheViewException | ( | const ViewInfo * |  | ) |

MagickExport IndexPacket* GetCacheViewIndexes | ( | const ViewInfo * |  | ) |

MagickExport PixelPacket * GetCacheViewPixels | ( | ViewInfo * | ,
|  | const | long,
|  | const | long,
|  | const unsigned long | ,
|  | const unsigned long |  |
| ) |  |  |

MagickExport ClassType GetCacheViewStorageClass | ( | const ViewInfo * |  | ) |

MagickExport PixelPacket * GetOneCacheViewPixel | ( | const ViewInfo * | ,
|  | const | long,
|  | const | long |
| ) |  |  |

MagickExport ViewInfo* * * OpenCacheView | ( | const Image * |  | ) |

MagickExport PixelPacket * * SetCacheView | ( | ViewInfo * | ,
|  | const | long,
|  | const | long,
|  | const unsigned | long,
|  | const unsigned | long |
| ) |  |  |

MagickExport MagickBooleanType SetCacheViewStorageClass | ( | ViewInfo * | ,
|  | const | ClassType |
| ) |  |  |

MagickExport MagickBooleanType SetCacheViewVirtualPixelMethod | ( | ViewInfo * | ,
|  | const | VirtualPixelMethod |
| ) |  |  |

MagickExport MagickBooleanType SyncCacheView | ( | ViewInfo * |  | ) |